----------------
-- TreeHenge --
----------------

local TreeHenge = Henge:NewModule("TreeHenge")
TreeHenge.fullname = "TreeHenge"
TreeHenge.icon     = "icon"
local ML = AceLibrary("AceLocale-2.2"):new("TreeHenge")
local SL = AceLibrary("Babble-Spell-2.2")

function TreeHenge:Test()
	local _, pClass = UnitClass("player")
	return pClass == "DRUID"
end

function TreeHenge:Load()
	-- Set up defaults
	self:SetupDB({
		["profile"] = {},
		["char"] = {}
	})

	HengeSphere:AddData({
		["id"] = "mana",
		["name"] = ML["Mana"],
		["func"] = function()
			return UnitMana("player"), UnitManaMax("player")
		end,
		["event"] = "UNIT_MANA",
		["arg1"] = "player"
	})
	local spell = {
		["motw"] = SL["Mark of the Wild"]
	}
	for k, v in pairs(spell) do
		HengeAction:Add({
			["id"] = k,
			["name"] = v,
			["type"] = "spell",
			["spell"] = v
		})
	end
	HengeButton:Add({
		["id"] = "motw",
		["type"] = "action",
		["name"] = SL["Mark of the Wild"],
		["desc"] = nil,
		["actions"] = {
			["LeftButton"] = "motw"
		},
		["options"] = {
			["anchor"] = "sphere:Main",
			["xpos"] = 0,
			["ypos"] = 0,
			["angle"] = 105,
			["texture"] = "action:LeftButton"
		}
	})
end
